## python-numpy 1.8.1

=== doc/cython/Makefile ===
# Simple makefile to quickly access handy build commands for Cython extension
# code generation.  Note that the actual code to produce the extension lives in
# the setup.py file, this Makefile is just meant as a command
# convenience/reminder while doing development.

help:
	@echo "Numpy/Cython tasks.  Available tasks:"
	@echo "ext  -> build the Cython extension module."
	@echo "html -> create annotated HTML from the .pyx sources"
	@echo "test -> run a simple test demo."
	@echo "all  -> Call ext, html and finally test."

all: ext html test

ext: numpyx.so

test:   ext
	python run_test.py

html: numpyx.pyx.html

numpyx.so: numpyx.pyx numpyx.c
	python setup.py build_ext --inplace

numpyx.pyx.html: numpyx.pyx
	cython -a numpyx.pyx
	@echo "Annotated HTML of the C code generated in numpyx.html"

# Phony targets for cleanup and similar uses

.PHONY: clean
clean:
	rm -rf *~ *.so *.c *.o *.html build

# Suffix rules
%.c : %.pyx
	cython $<

=== doc/pyrex/Makefile ===
all:
	python setup.py build_ext --inplace

test:   all
	python run_test.py

.PHONY: clean
clean:
	rm -rf *~ *.so *.c *.o build

=== doc/scipy-sphinx-theme/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext all css

all: html

css: $(wildcard _theme/scipy/static/css/*.css)

_theme/scipy/static/css/%.css: _theme/scipy/static/less/%.less
	lessc $^ > $@.new
	mv -f $@.new $@

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== debian/changelog ===
python-numpy (1:1.8.1-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - debian/patches/ppc64el_cpu_config.patch: Add support for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Mar 2014 12:18:54 +0100

python-numpy (1:1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release
    - remove upstream applied quantities-linspace.patch
    - remove upstream applied restore-3kcompat-api.patch

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 27 Mar 2014 19:29:12 +0100

python-numpy (1:1.8.1~rc1-2ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - debian/patches/ppc64el_cpu_config.patch: Add support for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 10:12:03 +0100

python-numpy (1:1.8.1~rc1-2) unstable; urgency=medium

  * fix -arch build by only calling dh_sphinxdoc in -indep
  * quantities-linspace.patch: avoid breaking python-quantities

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 13 Mar 2014 18:40:56 +0100

python-numpy (1:1.8.1~rc1-1) unstable; urgency=low

  * New upstream bugfix release candidate
    - removed python-numpydoc from b-d, upstream tarballs includes it again
    - fixes insecure mktemp usage of f2py (Closes: #737778)
  * add autopkgtests running testsuite with different BLAS and testing f2py
    and distutils (Closes: #695881)
  * use dh_python2 instead of deprecated pysupport
  * 50_search-multiarch-paths.patch: drop, applied upstream
  * build depend on cython and cythonize mtrand.pyx (Closes: #710177)
  * move documentation build depends to -indep (Closes: #739019)
  * run tests in verbose mode (Closes: #724611)
  * python3-soabi.patch: fix ctypeslib for python3 soabi in extension filenames
  * debian/python3-numpy-dbg.install:
    - fix duplicate files in dbg package of kfreebsd (Closes: #740318)
  * bump Standards-Version to 3.9.5 (no changes needed)
  * restore-3kcompat-api.patch:
    add upstream patch to restore private api used by matplotlib

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 02 Mar 2014 15:33:25 +0100

python-numpy (1:1.8.0+git20140126-0ubuntu2) trusty; urgency=medium

  * Rebuild for Python 3.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 20:59:52 +0100

python-numpy (1:1.8.0+git20140126-0ubuntu1) trusty; urgency=low

  * New upstream release from maintenance/1.8.x branch.
    Commit: 95f7a469b1e9ce460e31c41e1bd897ceff396f6b
  * build depend on cython and regenerate mtrand.c

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 26 Jan 2014 18:51:15 +0100

python-numpy (1:1.8.0+git20140115-0ubuntu1) trusty; urgency=low

  * New upstream release from maintenance/1.8.x branch.
    Commit: 49cff2bb068cfffbbb705d62e2cf325d7320d179
  * install numpy/tests for as installed ctypes tests
  * python3-soabi.patch: adapt ctypeslib to multiarch soabi extension
  * don't symlink numarray includes, minor file duplication that will
    disappear in next upstream release anyway
  * remove built documentation properly in clean target
  * add capi build autopackagetest
  * wrap-and-sort debian/
  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2.
    - Add bin/f2py* to .install files.
    - Add autopkgtests.

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 03 Jan 2014 17:10:24 +0100

python-numpy (1:1.7.1-5) unstable; urgency=high

  * Team upload
  * Brown-paper bag upload to fix the dbg packages in kfreebsd
    (Closes: #740318 for real).

 -- Didier Raboud <odyx@debian.org>  Thu, 06 Mar 2014 11:14:12 +0100

python-numpy (1:1.7.1-4) unstable; urgency=high

  * Team upload
  * Urgency high to fix coinstallability of kfreebsd in testing.

  [Julian Taylor]
  * debian/python3-numpy-dbg.install:
    - fix duplicate files in dbg package of kfreebsd (Closes: #740318)

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Mar 2014 14:16:36 +0100

python-numpy (1:1.7.1-1ubuntu6) trusty; urgency=medium

  * Make autopkgtest shell scripts executable, so they can call each other.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 26 Dec 2013 02:01:12 -0700

python-numpy (1:1.7.1-1ubuntu5) trusty; urgency=medium

  * Revert the previous upload, re-enabling tests and docs.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 26 Dec 2013 00:24:13 -0700

python-numpy (1:1.7.1-1ubuntu4) trusty; urgency=medium

  * Temporarily disable building the documentation.
  * Temporarily disable running the autopkg tests.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Dec 2013 19:48:47 +0100

python-numpy (1:1.7.1-1ubuntu3) trusty; urgency=medium

  * Rebuild to get python3.4 support automatically built and included.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Dec 2013 20:24:32 -0700

python-numpy (1:1.7.1-1ubuntu2) trusty; urgency=medium

  * debian/patches/ppc64el_cpu_config.patch: Add support for ppc64el.

 -- William Grant <wgrant@ubuntu.com>  Sun, 15 Dec 2013 14:33:37 +0000

=== debian/control ===
Source: python-numpy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>,
           Julian Taylor <jtaylor.debian@googlemail.com>
Build-Depends: cython,
               debhelper (>= 8.9.7~),
               gfortran (>= 4:4.2),
               libblas-dev [!arm !m68k],
               liblapack-dev [!arm !m68k],
               patchutils,
               python-all-dbg,
               python-all-dev,
               python-nose,
               python-tz,
               python3-all-dbg,
               python3-all-dev,
               python3-nose,
               python3-tz
Build-Depends-Indep: python-docutils,
                     python-sphinx (>= 1.0.7+dfsg)
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/numpy/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/numpy/trunk/
Homepage: http://www.numpy.org/
XS-Testsuite: autopkgtest

Package: python-numpy
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: gcc (>= 4:4.6.1-5),
          gfortran,
          python-dev,
          python-nose (>= 0.10.1),
          python-numpy-dbg,
          python-numpy-doc
Provides: python-f2py, python-numpy-dev, ${numpy:Provides}, ${python:Provides}
Description: Numerical Python adds a fast array facility to the Python language
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which are
 now deprecated and shouldn't be used except to support older
 software.

Package: python-numpy-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-dbg,
         python-numpy (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: python-numpy (<< 1:1.7.1-1)
Replaces: python-numpy (<< 1:1.7.1-1)
Description: Fast array facility to the Python language (debug extension)
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which
 are now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-numpy
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: gcc (>= 4:4.6.1-5),
          gfortran,
          python-numpy-doc,
          python3-dev,
          python3-nose (>= 0.10.1),
          python3-numpy-dbg
Provides: python3-f2py,
          python3-numpy-dev,
          ${numpy3:Provides},
          ${python3:Provides}
Description: Fast array facility to the Python 3 language
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which are
 now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains Numpy for Python 3.

Package: python3-numpy-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-numpy (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: python3-numpy (<< 1:1.7.1-1)
Replaces: python3-numpy (<< 1:1.7.1-1)
Description: Fast array facility to the Python 3 language (debug extension)
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which
 are now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-numpy-doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Section: doc
Architecture: all
Description: NumPy documentation
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which
 are now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains documentation for Numpy and f2py.

=== debian/rules ===
#!/usr/bin/make -f

PY2VERS=$(shell pyversions -vr debian/control)
PY3VERS=$(shell py3versions -vr)
PYDEF=$(shell pyversions -dv)
PY3DEF=$(shell py3versions -dv)
PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")

# Look at #634012 to understand why is needed and what will happen if we set
# compat to 9
unexport LDFLAGS
export ATLAS=None

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	cd numpy/random/mtrand && python generate_mtrand_c.py
	dh_auto_build
	set -e; for v in $(PY3VERS); do \
		python$$v setup.py build; \
		python$$v-dbg setup.py build; \
	done

override_dh_auto_clean:
	dh_auto_clean
	rm -rf `find -name build -type d`
	rm -rf `find . -name "*.pyc" -type f`
	rm -rf doc/fontList.cache numpy/f2py/docs/usersguide/index.html
	rm -rf doc/source/reference/generated
	# cython generated
	rm -f numpy/random/mtrand/mtrand.c

override_dh_installman:
	dh_installman -ppython-numpy numpy/f2py/f2py.1
	dh_installman -ppython3-numpy numpy/f2py/f2py.1
	mv debian/python3-numpy/usr/share/man/man1/f2py.1 \
	  debian/python3-numpy/usr/share/man/man1/f2py3.1
	# link manpage for versioned and dbg incarnations of f2py
	set -e; for v in $(PY2VERS); do \
		dh_link /usr/share/man/man1/f2py.1.gz /usr/share/man/man1/f2py$$v.1.gz; \
		dh_link -ppython-numpy-dbg /usr/share/man/man1/f2py.1.gz /usr/share/man/man1/f2py$$v-dbg.1.gz; \
	done
	set -e; for v in $(PY3VERS); do \
		dh_link -ppython3-numpy /usr/share/man/man1/f2py3.1.gz /usr/share/man/man1/f2py$$v.1.gz; \
		dh_link -ppython3-numpy-dbg /usr/share/man/man1/f2py3.1.gz /usr/share/man/man1/f2py$$v-dbg.1.gz; \
	done
	dh_link -ppython-numpy-dbg /usr/share/man/man1/f2py.1.gz /usr/share/man/man1/f2py-dbg.1.gz;
	dh_link -ppython3-numpy-dbg /usr/share/man/man1/f2py3.1.gz /usr/share/man/man1/f2py3-dbg.1.gz;

override_dh_install:
	# add shebang information to f2py script
	set -e; for v in $(PY2VERS) $(PY3VERS); do \
		sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python$$v," debian/tmp/usr/bin/f2py$$v; \
		cp -a debian/tmp/usr/bin/f2py$$v debian/tmp/usr/bin/f2py$$v-dbg ; \
		sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python$$v-dbg," debian/tmp/usr/bin/f2py$$v-dbg; \
	done
	# install unversioned f2py script
	cp -a debian/tmp/usr/bin/f2py$(PYDEF) debian/tmp/usr/bin/f2py
	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python," debian/tmp/usr/bin/f2py
	cp -a debian/tmp/usr/bin/f2py$(PYDEF)-dbg debian/tmp/usr/bin/f2py-dbg
	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python-dbg," debian/tmp/usr/bin/f2py-dbg

	cp -a debian/tmp/usr/bin/f2py$(PY3DEF) debian/tmp/usr/bin/f2py3
	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python3," debian/tmp/usr/bin/f2py3
	cp -a debian/tmp/usr/bin/f2py$(PY3DEF)-dbg debian/tmp/usr/bin/f2py3-dbg
	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python3-dbg," debian/tmp/usr/bin/f2py3-dbg

	dh_install

	# remove files installed from .install (that's due to the dir listed there)
	find $(CURDIR)/debian/python-numpy/ -name "*_d.so" -delete

	# create symlinks for .h files
	dh_link -ppython-numpy usr/lib/python$(PYDEF)/dist-packages/numpy/core/include/numpy usr/include/numpy;
	set -e; for i in $(PY2VERS); do \
	[ -d $(CURDIR)/debian/python-numpy/usr/include/python$$i ] || \
		mkdir -p $(CURDIR)/debian/python-numpy/usr/include/python$$i; \
		dh_link -ppython-numpy usr/lib/python$$i/dist-packages/numpy/core/include/numpy usr/include/python$$i/numpy; \
	done
	set -e; for i in $(PY2VERS); do \
	[ -d $(CURDIR)/debian/python-numpy-dbg/usr/include/python$${i}_d ] || \
		mkdir -p $(CURDIR)/debian/python-numpy-dbg/usr/include/python$${i}_d; \
		dh_link -ppython-numpy-dbg usr/lib/python$$i/dist-packages/numpy/core/include/numpy usr/include/python$${i}_d/numpy; \
	done
	# Python 3
	set -e; for i in $(PY3VERS); do \
	ABITAG=`python$$i -c "import sys; print(sys.abiflags)"`; \
	[ -d $(CURDIR)/debian/python3-numpy/usr/include/python$$i$$ABITAG ] || \
		mkdir -p $(CURDIR)/debian/python3-numpy/usr/include/python$$i$$ABITAG; \
		dh_link -ppython3-numpy usr/lib/python3/dist-packages/numpy/core/include/numpy usr/include/python$$i$$ABITAG/numpy; \
	done
	set -e; for i in $(PY3VERS); do \
	ABITAG=`python$$i-dbg -c "import sys; print(sys.abiflags)"`; \
	[ -d $(CURDIR)/debian/python3-numpy-dbg/usr/include/python$${i}$$ABITAG ] || \
		mkdir -p $(CURDIR)/debian/python3-numpy-dbg/usr/include/python$${i}$$ABITAG; \
		dh_link -ppython3-numpy-dbg usr/lib/python3/dist-packages/numpy/core/include/numpy/ usr/include/python$${i}$$ABITAG/numpy; \
	done

	# share -dbg and normal package doc dirs
	rm -rf debian/python-numpy-dbg/usr/share/doc/python-numpy-dbg
	dh_link -ppython-numpy-dbg usr/share/doc/python-numpy usr/share/doc/python-numpy-dbg
	rm -rf debian/python3-numpy-dbg/usr/share/doc/python3-numpy-dbg
	dh_link -ppython3-numpy-dbg usr/share/doc/python3-numpy usr/share/doc/python3-numpy-dbg

override_dh_gencontrol:
	python debian/versions.helper >> debian/python-numpy.substvars
	python debian/versions3.helper >> debian/python3-numpy.substvars
	dh_gencontrol

override_dh_compress:
	dh_compress -X.js -Xobjects.inv -X.txt

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-numpy --dbg-package=python-numpy-dbg
	dh_strip -ppython3-numpy --dbg-package=python3-numpy-dbg
	# dh_strip seemingly doesn't catch the PEP 3149-style debug names
	rm debian/python3-numpy/usr/lib/python3*/*-packages/*/*/*.cpython-3?d*.so
endif


override_dh_python2:
	dh_python2 -v
	# avoid lintian autoreject
	-mv debian/python-numpy/usr/share/pyshared/numpy/core/lib/libnpymath.a \
		debian/python-numpy/usr/lib/python2.7/dist-packages/numpy/core/lib/libnpymath.a

override_dh_installdocs-indep:
	dh_installdocs -i
	dh_sphinxdoc -i

build: build-arch build-indep ;

build-arch:
	dh build --with=python2,python3


build-indep: 
	# build doc only for default python version
	(export MPLCONFIGDIR=. ; make -C doc html PYTHONPATH=../$(PYLIBPATH))
	rst2html numpy/f2py/docs/usersguide/index.txt > numpy/f2py/docs/usersguide/index.html

update_intersphinx_mapping:
	wget http://docs.python.org/dev/objects.inv -O debian/python.org_objects.inv

override_dh_auto_install:
	dh_auto_install

	# Install for Python 3
	set -e; for v in $(PY3VERS); do \
		python$$v setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
		python$$v-dbg setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

	# yes, we need to run tests after install
	# The reason is that numpy tries hard to not let you run it from the
	# source directory, so we need to mess with the import order so to
	# select the code in the installation path
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	-set -e; for v in $(PY2VERS) ; do \
		echo "-- running tests for "$$v" plain --" ; \
		python$$v -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python$$v/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
		echo "-- running tests for "$$v" debug --" ; \
		python$$v-dbg -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python$$v/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
	done
	# Python 3.2 maps to python3/ dir alone? bah
	-set -e; for v in $(PY3VERS) ; do \
		echo "-- running tests for "$$v" plain --" ; \
		python$$v -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
		echo "-- running tests for "$$v" debug --" ; \
		python$$v-dbg -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
	done
endif

=== debian/tests/control ===
Tests: python2
Depends: python-numpy, python-all, python-nose, python-tz

Tests: python3
Depends: python3-numpy, python3-all, python3-nose, python3-tz

#needs root for update-alternatives
Tests: openblas
Restrictions: needs-root
Depends: python-numpy, python-all, python-nose, python-tz, libopenblas-base

#needs root for update-alternatives
Tests: atlas
Restrictions: needs-root
Depends: python-numpy, python-all, python-nose, python-tz, libatlas3-base

Tests: f2py
Depends: build-essential, gfortran, python-numpy, python-numpy-dbg, python-all, python-all-dbg, python-all-dev, python3-numpy, python3-numpy-dbg, python3-all, python3-all-dbg, python3-all-dev

Tests: distutils
Depends: build-essential, libfftw3-dev, python-numpy

Tests: capi
Depends: build-essential, python-all-dev, python-all-dbg, python3-all-dev, python3-all-dbg, python-numpy, python-numpy-dbg, python3-numpy, python3-numpy-dbg

## python-numpy 1.8.2

=== debian/changelog ===
python-numpy (1:1.8.2-2) unstable; urgency=medium

  * ppc64el_cpu_config.patch: add ppc64el support (Closes: #756403)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 24 Aug 2014 11:10:34 +0200

python-numpy (1:1.8.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 09 Aug 2014 12:56:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-numpy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>,
            Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: cython,
@@ -10,7 +9,6 @@
                gfortran (>= 4:4.2),
                libblas-dev [!arm !m68k],
                liblapack-dev [!arm !m68k],
-               patchutils,
                python-all-dbg,
                python-all-dev,
                python-nose,
@@ -20,6 +18,7 @@
                python3-nose,
                python3-tz
 Build-Depends-Indep: python-docutils,
+                     python-matplotlib,
                      python-sphinx (>= 1.0.7+dfsg)
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## python-numpy 1.11.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

PYVER = 2.7
PYTHON = python$(PYVER)

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = LANG=C sphinx-build
PAPER         =

FILES=

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck \
        dist dist-build gitwash-update

#------------------------------------------------------------------------------

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  html-scipyorg  to make standalone HTML files with scipy.org theming"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  dist PYVER=... to make a distribution-ready tree"
	@echo "  gitwash-update GITWASH=path/to/gitwash  update gitwash developer docs"
	@echo "  upload USERNAME=... RELEASE=... to upload built docs to docs.scipy.org"

clean:
	-rm -rf build/* source/reference/generated

gitwash-update:
	rm -rf source/dev/gitwash
	install -d source/dev/gitwash
	python $(GITWASH)/gitwash_dumper.py source/dev NumPy \
	    --repo-name=numpy \
	    --github-user=numpy
	cat source/dev/gitwash_links.txt >> source/dev/gitwash/git_links.inc

#------------------------------------------------------------------------------
# Automated generation of all documents
#------------------------------------------------------------------------------

# Build the current numpy version, and extract docs from it.
# We have to be careful of some issues:
# 
# - Everything must be done using the same Python version
# - We must use eggs (otherwise they might override PYTHONPATH on import).
# - Different versions of easy_install install to different directories (!)
#


INSTALL_DIR = $(CURDIR)/build/inst-dist/
INSTALL_PPH = $(INSTALL_DIR)/lib/python$(PYVER)/site-packages:$(INSTALL_DIR)/local/lib/python$(PYVER)/site-packages:$(INSTALL_DIR)/lib/python$(PYVER)/dist-packages:$(INSTALL_DIR)/local/lib/python$(PYVER)/dist-packages
UPLOAD_DIR=/srv/docs_scipy_org/doc/numpy-$(RELEASE)

DIST_VARS=SPHINXBUILD="LANG=C PYTHONPATH=$(INSTALL_PPH) python$(PYVER) `which sphinx-build`" PYTHON="PYTHONPATH=$(INSTALL_PPH) python$(PYVER)" SPHINXOPTS="$(SPHINXOPTS)"

dist:
	make $(DIST_VARS) real-dist

real-dist: dist-build html html-scipyorg
	test -d build/latex || make latex
	make -C build/latex all-pdf
	-test -d build/htmlhelp || make htmlhelp-build
	-rm -rf build/dist
	cp -r build/html-scipyorg build/dist
	cd build/html && zip -9r ../dist/numpy-html.zip .
	cp build/latex/numpy-ref.pdf build/dist
	cp build/latex/numpy-user.pdf build/dist
	cd build/dist && tar czf ../dist.tar.gz *
	chmod ug=rwX,o=rX -R build/dist
	find build/dist -type d -print0 | xargs -0r chmod g+s

dist-build:
	rm -f ../dist/*.egg
	cd .. && $(PYTHON) setup.py bdist_egg
	install -d $(subst :, ,$(INSTALL_PPH))
	$(PYTHON) `which easy_install` --prefix=$(INSTALL_DIR) ../dist/*.egg

upload:
	# SSH must be correctly configured for this to work.
	# Assumes that ``make dist`` was already run
	# Example usage: ``make upload USERNAME=rgommers RELEASE=1.10.1``
	ssh $(USERNAME)@new.scipy.org mkdir $(UPLOAD_DIR)
	scp build/dist.tar.gz $(USERNAME)@new.scipy.org:$(UPLOAD_DIR)
	ssh $(USERNAME)@new.scipy.org tar xvC $(UPLOAD_DIR) \
	    -zf $(UPLOAD_DIR)/dist.tar.gz
	ssh $(USERNAME)@new.scipy.org mv $(UPLOAD_DIR)/numpy-ref.pdf \
	    $(UPLOAD_DIR)/numpy-ref-$(RELEASE).pdf
	ssh $(USERNAME)@new.scipy.org mv $(UPLOAD_DIR)/numpy-user.pdf \
	    $(UPLOAD_DIR)/numpy-user-$(RELEASE).pdf
	ssh $(USERNAME)@new.scipy.org mv $(UPLOAD_DIR)/numpy-html.zip \
	    $(UPLOAD_DIR)/numpy-html-$(RELEASE).zip
	ssh $(USERNAME)@new.scipy.org rm $(UPLOAD_DIR)/dist.tar.gz
	ssh $(USERNAME)@new.scipy.org ln -snf numpy-$(RELEASE) /srv/docs_scipy_org/doc/numpy
	ssh $(USERNAME)@new.scipy.org /srv/bin/fixperm-scipy_org.sh

#------------------------------------------------------------------------------
# Basic Sphinx generation rules for different formats
#------------------------------------------------------------------------------

generate: build/generate-stamp
build/generate-stamp: $(wildcard source/reference/*.rst)
	mkdir -p build
	touch build/generate-stamp

html: generate
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html $(FILES)
	$(PYTHON) postprocess.py html build/html/*.html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

html-scipyorg:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -t scipyorg -b html $(ALLSPHINXOPTS) build/html-scipyorg $(FILES)
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle: generate
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle $(FILES)
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp: generate
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp $(FILES)
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

htmlhelp-build: htmlhelp build/htmlhelp/numpy.chm
%.chm: %.hhp
	-hhc.exe $^

qthelp: generate
	mkdir -p build/qthelp build/doctrees
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp $(FILES)

latex: generate
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex $(FILES)
	$(PYTHON) postprocess.py tex build/latex/*.tex
	perl -pi -e 's/\t(latex.*|pdflatex) (.*)/\t-$$1 -interaction batchmode $$2/' build/latex/Makefile
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

coverage: build
	mkdir -p build/coverage build/doctrees
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) build/coverage $(FILES)
	@echo "Coverage finished; see c.txt and python.txt in build/coverage"

changes: generate
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes $(FILES)
	@echo
	@echo "The overview file is in build/changes."

linkcheck: generate
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck $(FILES)
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) build/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in build/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) build/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C build/texinfo info
	@echo "makeinfo finished; the Info files are in build/texinfo."

=== debian/changelog ===
python-numpy (1:1.11.0-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Apr 2016 00:34:03 +0200

python-numpy (1:1.11.0-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release: Closes: #816369, #813429, #813932, #816574
  * debian/control
    - bump Standards-Version to 3.9.7 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Apr 2016 09:47:40 +0100

python-numpy (1:1.11.0~b3-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 11:39:17 +0100

python-numpy (1:1.11.0~b3-1) unstable; urgency=medium

  * New upstream beta release
  * debian/control
    - switch Vcs-Git to HTTPS

 -- Sandro Tosi <morph@debian.org>  Sat, 13 Feb 2016 23:06:52 +0000

python-numpy (1:1.11.0~b2-1) unstable; urgency=medium

  * New upstream beta release
  * debian/copyright
    - update upstream copyright notice
  * debian/rules
    - upstream deprecated setup.py clean, so replace dh_auto_clean with an
      explicit rm of the build/ dir
  * debian/python-numpy.docs
    - DEV_README was dropped, removed
  * debian/control
    - add setuptools to b-d

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Jan 2016 00:44:41 +0000

python-numpy (1:1.10.4-2ubuntu2) xenial; urgency=medium

  * Run the distutils autopkg test with allow-stderr restrictions.
  * Add build-essential to the python2 and python3 autopkg tests; tests trying
    to run a compiler.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Feb 2016 13:53:37 +0100

python-numpy (1:1.10.4-2ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 16:21:16 +0100

python-numpy (1:1.10.4-2) unstable; urgency=medium

  * debian/patches/0006-disable-asserts-on-ppc-with-broken-malloc-only-longd.patch
    - recovered from the uploads to sid, needed to fix a FTBFS on powerpc

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jan 2016 18:24:12 +0000

python-numpy (1:1.10.4-1) unstable; urgency=medium

  * New upstream release
    - fix a typo in help(numpy.kron); Closes: #777172
    - generate the referene content in the doc; Closes: #804479
  * debian/copyright
    - extend packaging copyright notice
  * dh_numpy and dh_numpy3 use 2 different files from where to read the
    versions, thus making the py3k package indipendent of the python2;
    Closes: #797943
  * debian/rules
    - dont fail when files are missing if we are running dpkg-bp -A;
      Closes: #806099
  * debian/patches/0005-Dont-fail-if-we-cant-import-mingw32.patch
    - skip the import of mingw32(), needed for the version.helper scripts

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jan 2016 22:58:41 +0000

python-numpy (1:1.10.0~b1-1) experimental; urgency=medium

  * New upstream beta release
  * debian/patches/*
    - refreshed for new upstream code
  * debian/versions
    - bump API version to 10
  * debian/control
    - require nose version 1.0 or later
  * debian/copyright
    - extend upstream packaging years
    - remove/update copyright notice for updated files

 -- Sandro Tosi <morph@debian.org>  Wed, 12 Aug 2015 21:51:29 +0100

python-numpy (1:1.9.2-5ubuntu2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:11:51 +0000

python-numpy (1:1.9.2-5ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 11:45:49 +0100

python-numpy (1:1.9.2-5) unstable; urgency=medium

  * debian/patches/ppc_noassert.patch
    - fix 'if defined()' syntax, and select only powerpc and not powerpc64 as
      well; thanks to Emilio Pozuelo Monfort

 -- Sandro Tosi <morph@debian.org>  Thu, 01 Oct 2015 23:30:10 +0100

python-numpy (1:1.9.2-4) unstable; urgency=medium

  * debian/patches/ppc_noassert.patch
    - use the same powerpc macro as used in npy_cpu.h

 -- Sandro Tosi <morph@debian.org>  Thu, 01 Oct 2015 20:17:05 +0100

python-numpy (1:1.9.2-3) unstable; urgency=medium

  * debian/patches/ppc_noassert.patch
    - disable assert on PowerPC due to broken malloc; thanks to Julian Taylor
      for the patch; Closes: #800392



=== debian/control ===
--- 
+++ 
@@ -1,30 +1,33 @@
 Source: python-numpy
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>,
            Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: cython,
                debhelper (>= 8.9.7~),
+               dh-python,
                gfortran (>= 4:4.2),
                libblas-dev [!arm !m68k],
                liblapack-dev [!arm !m68k],
                python-all-dbg,
                python-all-dev,
-               python-nose,
+               python-nose (>= 1.0),
                python-tz,
                python3-all-dbg,
                python3-all-dev,
-               python3-nose,
-               python3-tz
+               python3-nose (>= 1.0),
+               python3-tz,
+               python-setuptools,
+               python3-setuptools,
 Build-Depends-Indep: python-docutils,
-                     python-matplotlib,
                      python-sphinx (>= 1.0.7+dfsg)
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.5
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/numpy/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/numpy/trunk/
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-numpy.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-numpy.git
 Homepage: http://www.numpy.org/
 XS-Testsuite: autopkgtest
 
@@ -34,7 +37,7 @@
 Suggests: gcc (>= 4:4.6.1-5),
           gfortran,
           python-dev,
-          python-nose (>= 0.10.1),
+          python-nose (>= 1.0),
           python-numpy-dbg,
           python-numpy-doc
 Provides: python-f2py, python-numpy-dev, ${numpy:Provides}, ${python:Provides}
@@ -77,7 +80,7 @@
           gfortran,
           python-numpy-doc,
           python3-dev,
-          python3-nose (>= 0.10.1),
+          python3-nose (>= 1.0),
           python3-numpy-dbg
 Provides: python3-f2py,
           python3-numpy-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+DH_VERBOSE=1
 
 PY2VERS=$(shell pyversions -vr debian/control)
 PY3VERS=$(shell py3versions -vr)
@@ -23,7 +25,7 @@
 	done
 
 override_dh_auto_clean:
-	dh_auto_clean
+	rm -rf build/
 	rm -rf `find -name build -type d`
 	rm -rf `find . -name "*.pyc" -type f`
 	rm -rf doc/fontList.cache numpy/f2py/docs/usersguide/index.html
@@ -32,9 +34,9 @@
 	rm -f numpy/random/mtrand/mtrand.c
 
 override_dh_installman:
-	dh_installman -ppython-numpy numpy/f2py/f2py.1
-	dh_installman -ppython3-numpy numpy/f2py/f2py.1
-	mv debian/python3-numpy/usr/share/man/man1/f2py.1 \
+	dh_installman -ppython-numpy doc/f2py/f2py.1
+	dh_installman -ppython3-numpy doc/f2py/f2py.1
+	-mv debian/python3-numpy/usr/share/man/man1/f2py.1 \
 	  debian/python3-numpy/usr/share/man/man1/f2py3.1
 	# link manpage for versioned and dbg incarnations of f2py
 	set -e; for v in $(PY2VERS); do \
@@ -69,7 +71,7 @@
 	dh_install
 
 	# remove files installed from .install (that's due to the dir listed there)
-	find $(CURDIR)/debian/python-numpy/ -name "*_d.so" -delete
+	-find $(CURDIR)/debian/python-numpy/ -name "*_d.so" -delete
 
 	# create symlinks for .h files
 	dh_link -ppython-numpy usr/lib/python$(PYDEF)/dist-packages/numpy/core/include/numpy usr/include/numpy;
@@ -139,7 +141,6 @@
 build-indep: 
 	# build doc only for default python version
 	(export MPLCONFIGDIR=. ; make -C doc html PYTHONPATH=../$(PYLIBPATH))
-	rst2html numpy/f2py/docs/usersguide/index.txt > numpy/f2py/docs/usersguide/index.html
 
 update_intersphinx_mapping:
 	wget http://docs.python.org/dev/objects.inv -O debian/python.org_objects.inv
@@ -158,14 +159,14 @@
 	# source directory, so we need to mess with the import order so to
 	# select the code in the installation path
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	-set -e; for v in $(PY2VERS) ; do \
+	set -e; for v in $(PY2VERS) ; do \
 		echo "-- running tests for "$$v" plain --" ; \
 		python$$v -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python$$v/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
 		echo "-- running tests for "$$v" debug --" ; \
 		python$$v-dbg -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python$$v/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
 	done
 	# Python 3.2 maps to python3/ dir alone? bah
-	-set -e; for v in $(PY3VERS) ; do \
+	set -e; for v in $(PY3VERS) ; do \
 		echo "-- running tests for "$$v" plain --" ; \
 		python$$v -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
 		echo "-- running tests for "$$v" debug --" ; \

=== debian/tests/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Tests: python2
-Depends: python-numpy, python-all, python-nose, python-tz
+Depends: build-essential, python-numpy, python-all, python-nose, python-tz
 
 Tests: python3
-Depends: python3-numpy, python3-all, python3-nose, python3-tz
+Depends: build-essential, python3-numpy, python3-all, python3-nose, python3-tz
 
 #needs root for update-alternatives
 Tests: openblas
@@ -18,6 +18,7 @@
 Depends: build-essential, gfortran, python-numpy, python-numpy-dbg, python-all, python-all-dbg, python-all-dev, python3-numpy, python3-numpy-dbg, python3-all, python3-all-dbg, python3-all-dev
 
 Tests: distutils
+Restrictions: allow-stderr
 Depends: build-essential, libfftw3-dev, python-numpy
 
 Tests: capi

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/~b/" \
http://qa.debian.org/watch/sf.php/numpy/numpy-(.*)\.tar\.gz

## python-numpy 1.11.1~rc1

=== debian/changelog ===
python-numpy (1:1.11.1~rc1-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Sep 2016 15:49:41 +0200

python-numpy (1:1.11.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 30 May 2016 21:41:04 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                      python-sphinx (>= 1.0.7+dfsg)
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-numpy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-numpy.git
 Homepage: http://www.numpy.org/
